# -*- coding: utf-8 -*-
# Generated by Django 1.11.18 on 2019-01-22 22:06
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('beacon', '0002_auto_20170429_1214'),
    ]

    operations = [
        migrations.CreateModel(
            name='StatsHistory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('nb_instances', models.IntegerField()),
                ('max_docs', models.IntegerField()),
                ('total_docs', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='StatsHistoryOs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('os_name', models.CharField(db_index=True, max_length=16)),
                ('count', models.IntegerField()),
                ('history', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='beacon.StatsHistory')),
            ],
        ),
        migrations.CreateModel(
            name='StatsHistoryVersion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('paperwork_version', models.CharField(db_index=True, max_length=32)),
                ('count', models.IntegerField()),
                ('history', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='beacon.StatsHistory')),
            ],
        ),
    ]
